#version 430

layout (location=0) in vec3 position;
layout (location=2) in vec3 color;
layout(location=6) in vec4 state;
layout(location=7) in vec4 vel;

out vec4 State;
out vec4 Vel;

uniform mat4 projection;
uniform mat4 view;

void main(void) {
  gl_Position = projection * view * vec4(position + state.xyz, 1);
  Vel = vel;
  State = state;
}